from flask import render_template, make_response, request, flash
from app import app
# from flask_wtf import Form
from wtforms import Form, BooleanField, PasswordField, StringField, TextAreaField, validators


class DiskForm():
    disk = TextAreaField(label = 'Disk(s):',
                         validators = [validators.required(),
                                       validators.Regexp((r'^(/dev/([A-Za-z0-9_]+/)?'
                                                          r'[A-Za-z0-9_]+[0-9]?|'
                                                          r'auto)$'))],
                         default = '/dev/sda')


class GeneratorForm(Form):
    version = StringField(label = 'Version:',
                          validators = [validators.required()],
                          default = '0.2.0')


@app.route('/', methods = ['GET'])
def index():
    return(render_template('index.html'))


@app.route('/generator', methods = ['GET', 'POST'])
def generator():
    form = GeneratorForm(request.form)
    if request.method == 'POST' and form.validate():
        print(form)
        flash('Generated!')
    return(render_template('generator.html', form = form))
